create_component#

NexximComponents.create_component(inst_name=None, component_library='Resistors', component_name='RES_', location=[], angle=0, use_instance_id_netlist=False, global_netlist_list=[])[source]#

Create a component from a library.

Parameters:
inst_namestr, optional

Name of the instance. The default is None.

component_librarystr, optional

Name of the component library. The default is "Resistors".

component_namestr, optional

Name of component in the library. The default is "RES".

locationlist of float, optional

Position on the X axis and Y axis.

angleoptional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to enable the instance ID in the net list. The default is False.

global_netlist_listlist, optional

The default is``[]``.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent